{
  "db_name": "PostgreSQL",
  "query": "\n                             SELECT\n                                 availabillity.id,\n                                 availabillity.userId,\n                                 availabillity.date,\n                                 availabillity.startTime,\n                                 availabillity.endTime,\n                                 availabillity.comment,\n                                 user_.name,\n                                 user_.email,\n                                 user_.password,\n                                 user_.salt,\n                                 user_.role AS \"role: Role\",\n                                 user_.function AS \"function: Function\",\n                                 user_.areaId,\n                                 user_.locked,\n                                 user_.lastLogin,\n                                 user_.receiveNotifications\n                             FROM availabillity\n                             JOIN user_ ON availabillity.userId = user_.id\n                             WHERE availabillity.date = $1\n                             AND user_.areaId = $2;\n        ",
  "describe": {
    "columns": [
      {
        "ordinal": 0,
        "name": "id",
        "type_info": "Int4"
      },
      {
        "ordinal": 1,
        "name": "userid",
        "type_info": "Int4"
      },
      {
        "ordinal": 2,
        "name": "date",
        "type_info": "Date"
      },
      {
        "ordinal": 3,
        "name": "starttime",
        "type_info": "Time"
      },
      {
        "ordinal": 4,
        "name": "endtime",
        "type_info": "Time"
      },
      {
        "ordinal": 5,
        "name": "comment",
        "type_info": "Text"
      },
      {
        "ordinal": 6,
        "name": "name",
        "type_info": "Text"
      },
      {
        "ordinal": 7,
        "name": "email",
        "type_info": "Text"
      },
      {
        "ordinal": 8,
        "name": "password",
        "type_info": "Text"
      },
      {
        "ordinal": 9,
        "name": "salt",
        "type_info": "Text"
      },
      {
        "ordinal": 10,
        "name": "role: Role",
        "type_info": {
          "Custom": {
            "name": "role",
            "kind": {
              "Enum": [
                "staff",
                "areamanager",
                "admin"
              ]
            }
          }
        }
      },
      {
        "ordinal": 11,
        "name": "function: Function",
        "type_info": {
          "Custom": {
            "name": "function",
            "kind": {
              "Enum": [
                "posten",
                "fuehrungsassistent",
                "wachhabender"
              ]
            }
          }
        }
      },
      {
        "ordinal": 12,
        "name": "areaid",
        "type_info": "Int4"
      },
      {
        "ordinal": 13,
        "name": "locked",
        "type_info": "Bool"
      },
      {
        "ordinal": 14,
        "name": "lastlogin",
        "type_info": "Timestamptz"
      },
      {
        "ordinal": 15,
        "name": "receivenotifications",
        "type_info": "Bool"
      }
    ],
    "parameters": {
      "Left": [
        "Date",
        "Int4"
      ]
    },
    "nullable": [
      false,
      false,
      false,
      true,
      true,
      true,
      false,
      false,
      true,
      true,
      false,
      false,
      false,
      false,
      true,
      false
    ]
  },
  "hash": "a1288bdb944dc72d5591d8686f533d124d9edacaf62539f7908c797efe44a68d"
}
